import { LightningElement } from 'lwc';
import template from './baseStepNavigationComponent.html'
import omniscriptStep from 'vlocity_cmt/omniscriptStep';
import { OmniscriptBaseMixin } from 'vlocity_cmt/omniscriptBaseMixin';
import { dispatchOmniEvent } from 'vlocity_cmt/omniscriptUtils';

export default class BaseStepNavigationComponent extends OmniscriptBaseMixin(omniscriptStep) {

    connectedCallback() {
        console.debug("BaseStepNavigationComponent - connected");
    }

    gotoNext() {
        dispatchOmniEvent(this, { moveToStep: 'next' }, 'omniautoadvance');
    }

    gotoPrev() {
        console.debug('gotoPrev stepIndex', this.stepIndex);
        dispatchOmniEvent(this, { moveToStep: this.stepIndex - 1 }, 'omniautoadvance');
    }

    render() {
        return template;
    }
}
